//Loot tables
//Weas bastante raras.
onEvent('entity.loot_tables', event => {
    event.modifyEntity('minecraft:wither', table => {
      table.addPool(pool => {
        // Adds a wither trophy
        pool.addItem(Item.of('aoa3:trophy', '{BlockEntityTag:{EntityID:"minecraft:wither",OriginalTrophy:1b},display:{Name:\'{"translate":"block.aoa3.trophy.desc","with":[{"translate":"entity.minecraft.wither"}]}\'}}'))
      })
    });
    event.modifyEntity('minecraft:ender_dragon', table => {
        table.addPool(pool => {
          // Adds an ender dragon trophy
          pool.addItem(Item.of('aoa3:trophy', '{BlockEntityTag:{EntityID:"minecraft:ender_dragon",OriginalTrophy:1b},display:{Name:\'{"translate":"block.aoa3.trophy.desc","with":[{"translate":"entity.minecraft.ender_dragon"}]}\'}}'))
        })
      });
  })